> ## Documentation Index
> Fetch the complete documentation index at: https://docs.greenflash.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Model

> Get detailed information about a specific model including specs, benchmarks, costs, and products using it. Available on all plans.



## OpenAPI

````yaml https://www.greenflash.ai/api/openapi get /models/{modelId}
openapi: 3.1.0
info:
  title: Greenflash API Reference
  version: 1.0.0
  description: >-
    Greenflash endpoints for capturing interactions, managing prompts, and
    identifying users.
servers:
  - url: https://www.greenflash.ai/api/v1
    description: Greenflash API v1
security: []
tags:
  - name: Interactions
    description: Capture interactions between users and AI
  - name: Business Events
    description: Capture business events
  - name: Analytics
    description: Understand chat and agentic interactions analyses
  - name: Inbox
    description: Review flagged conversations
  - name: Segments
    description: Manage user segments
  - name: Prompts
    description: Manage prompts
  - name: Chat
    description: Stream chat and agentic conversations
  - name: Models
    description: Manage AI models
  - name: Products
    description: Manage products
  - name: Users
    description: Manage users
  - name: Organizations
    description: Manage organizations
paths:
  /models/{modelId}:
    get:
      tags:
        - Models
      summary: Get Model
      description: >-
        Get detailed information about a specific model including specs,
        benchmarks, costs, and products using it. Available on all plans.
      parameters:
        - schema:
            type: string
            format: uuid
            description: The model ID to retrieve details for
          required: true
          description: The model ID to retrieve details for
          name: modelId
          in: path
      responses:
        '200':
          description: Model retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetModelResponse'
              example:
                id: 123e4567-e89b-12d3-a456-426614174000
                canonicalId: gpt-4o
                displayName: GPT-4o
                provider: OpenAI
                family: GPT-4
                description: >-
                  Most capable GPT-4 model. Optimized for chat and multi-modal
                  inputs with improved speed.
                contextWindow: 128000
                inputCostPer1k: 0.005
                outputCostPer1k: 0.015
                inputModalities:
                  - text
                  - image
                outputModalities:
                  - text
                supportedParameters:
                  - temperature
                  - top_p
                  - max_tokens
                  - frequency_penalty
                source: openrouter
                createdAt: '2025-05-01T00:00:00Z'
                expirationDate: null
                intelligenceIndex: 92.4
                codingIndex: 88.1
                mathIndex: 85.7
                mmluPro: 87.2
                gpqa: 53.6
                usageCount: 4520
                lastUsedAt: '2025-10-15T14:30:00Z'
                products:
                  - id: 789e4567-e89b-12d3-a456-426614174010
                    name: Customer Support Bot
                    icon: headset
                    conversationCount: 3200
                  - id: 789e4567-e89b-12d3-a456-426614174011
                    name: Sales Assistant
                    icon: chart-bar
                    conversationCount: 1320
        '404':
          description: Model not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    description: Whether the API call was successful (false for errors).
                  error:
                    type: string
                    description: Error message describing what went wrong.
                description: Error response for get model operations.
              example:
                success: false
                error: Model not found
        '500':
          description: Server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    description: Whether the API call was successful (false for errors).
                  error:
                    type: string
                    description: Error message describing what went wrong.
                description: Error response for get model operations.
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Greenflash from 'greenflash';


            const client = new Greenflash({
              apiKey: process.env['GREENFLASH_API_KEY'], // This is the default and can be omitted
            });


            const getModelResponse = await
            client.models.get('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e');


            console.log(getModelResponse.id);
        - lang: Python
          source: |-
            import os
            from greenflash import Greenflash

            client = Greenflash(
                api_key=os.environ.get("GREENFLASH_API_KEY"),  # This is the default and can be omitted
            )
            get_model_response = client.models.get(
                "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
            )
            print(get_model_response.id)
components:
  schemas:
    GetModelResponse:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: The model ID.
        canonicalId:
          type: string
          description: The canonical model identifier.
        displayName:
          type: string
          description: Human-readable model name.
        provider:
          type: string
          description: Model provider (e.g. OpenAI, Anthropic).
        family:
          type:
            - string
            - 'null'
          description: Model family grouping.
        description:
          type:
            - string
            - 'null'
          description: Model description.
        contextWindow:
          type:
            - number
            - 'null'
          description: Context window size.
        inputCostPer1k:
          type:
            - number
            - 'null'
          description: Cost per 1,000 input tokens.
        outputCostPer1k:
          type:
            - number
            - 'null'
          description: Cost per 1,000 output tokens.
        inputModalities:
          type:
            - array
            - 'null'
          items:
            type: string
          description: Supported input modalities.
        outputModalities:
          type:
            - array
            - 'null'
          items:
            type: string
          description: Supported output modalities.
        supportedParameters:
          type:
            - array
            - 'null'
          items:
            type: string
          description: Supported generation parameters.
        source:
          type: string
          description: Model data source.
        createdAt:
          type: string
          format: date-time
          description: When the model was created.
        expirationDate:
          type:
            - string
            - 'null'
          format: date-time
          description: When the model expires, if applicable.
        intelligenceIndex:
          type:
            - number
            - 'null'
          description: Intelligence benchmark index.
        codingIndex:
          type:
            - number
            - 'null'
          description: Coding benchmark index.
        mathIndex:
          type:
            - number
            - 'null'
          description: Math benchmark index.
        mmluPro:
          type:
            - number
            - 'null'
          description: MMLU-Pro benchmark score.
        gpqa:
          type:
            - number
            - 'null'
          description: GPQA benchmark score.
        usageCount:
          type: number
          description: Number of conversations using this model.
        lastUsedAt:
          type:
            - string
            - 'null'
          format: date-time
          description: When the model was last used.
        products:
          type: array
          items:
            $ref: '#/components/schemas/ModelProductUsage'
          description: Products using this model.
      required:
        - id
        - canonicalId
        - displayName
        - provider
        - family
        - description
        - contextWindow
        - inputCostPer1k
        - outputCostPer1k
        - inputModalities
        - outputModalities
        - supportedParameters
        - source
        - createdAt
        - expirationDate
        - intelligenceIndex
        - codingIndex
        - mathIndex
        - mmluPro
        - gpqa
        - usageCount
        - lastUsedAt
        - products
    ModelProductUsage:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: The product ID.
        name:
          type: string
          description: Product name.
        icon:
          type:
            - string
            - 'null'
          description: Product icon.
        conversationCount:
          type: number
          description: Number of conversations in this product.
      required:
        - id
        - name
        - icon
        - conversationCount
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````